<template>
    <BreezeGuestLayout>
        <FrontendHead title="JDIH Mahkamah Agung - Satuan Kerja" />

        <main id="main">
            <section id="breadcrumbs" class="breadcrumbs">
                <div class="container">
                    <div
                        class="
                            d-flex
                            justify-content-between
                            align-items-center
                        "
                    >
                        <h2></h2>
                        <ol>
                            <li><a href="/">Beranda</a></li>
                            <li>Berita</li>
                        </ol>
                    </div>
                </div>
            </section>

            <section id="blog" class="blog">
                <div class="container" data-aos="fade-up">
                    <div class="row">
                        <div class="col-lg-8 entries">
                            <article
                                class="entry"
                                v-for="(item, index) in news.data"
                                :key="index"
                            >
                                <div class="entry-img">
                                    <img
                                        :src="'/storage/' + item.images"
                                        alt=""
                                        class="img-fluid"
                                    />
                                </div>
                                <h2 class="entry-title">
                                    <a
                                        :href="
                                            route('berita-detail', {
                                                slug: item.slug,
                                            })
                                        "
                                        >{{ item.title }}
                                    </a>
                                </h2>
                                <div class="entry-meta">
                                    <ul>
                                        <li class="d-flex align-items-center">
                                            <i class="bi bi-person"></i>oleh
                                            {{ item.name }}
                                        </li>
                                        <li class="d-flex align-items-center">
                                            <i class="bi bi-clock"></i>
                                            <time datetime="2020-01-01">
                                                {{
                                                    moment(
                                                        item.created_at
                                                    ).format("DD-MM-YYYY")
                                                }}
                                            </time>
                                        </li>
                                    </ul>
                                </div>
                                <div class="entry-content">
                                    <p>
                                        {{ item.description }}
                                    </p>
                                    <a href="blog-single.html">selengkapnya</a>
                                </div>
                            </article>
                            <!-- <div class="m-top-50">
                                <Pagination :links="news.links" />
                            </div> -->
                        </div>
                        <div class="col-lg-4">
                            <div class="sidebar">
                                <h3 class="sidebar-title">Pencarian</h3>
                                <div class="sidebar-item search-form">
                                    <form action="">
                                        <input type="text" />
                                        <button type="submit">
                                            <i class="bi bi-search"></i>
                                        </button>
                                    </form>
                                </div>
                                <h3 class="sidebar-title">Berita Terkini</h3>
                                <div class="sidebar-item recent-posts">
                                    <div
                                        class="post-item clearfix"
                                        v-for="(item, index) in new_news"
                                        :key="index"
                                    >
                                        <img
                                            :src="'/storage/' + item.images"
                                            alt=""
                                        />
                                        <h4>
                                            <a href="blog-single.html">{{
                                                item.title
                                            }}</a>
                                        </h4>
                                        <time>{{
                                            moment(item.created_at).format(
                                                "DD-MM-YYYY"
                                            )
                                        }}</time>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </main>
    </BreezeGuestLayout>
</template>

<script>
import BreezeGuestLayout from "@/Layouts/Guest_satker.vue";
import { Head, Link, usePage } from "@inertiajs/inertia-vue3";
import FrontendHead from "@/Components/FrontendHead.vue";
import { onMounted, ref } from "vue";
import moment from "moment";
import axios from "axios";
import Pagination from "@/Components/Pagination.vue";
export default {
    components: {
        Head,
        Link,
        FrontendHead,
        BreezeGuestLayout,
        Pagination,
    },
    props: {},
    data() {
        return {
            moment: moment,
        };
    },
    setup() {
        //reactive state
        let news = ref([]);
        let new_news = ref([]);

        //mounted
        onMounted(() => {
            //get API from Laravel Backend
            axios
                .get(`${usePage().props.value.api_url}/api/news'`)
                .then((response) => {
                    //assign state posts with response data
                    news.value = response.data.news;
                    new_news.value = response.data.new_news;
                })
                .catch((error) => {
                    console.log(error.response.data);
                });
        });

        //return
        return {
            news,
            new_news,
        };
    },
    mounted() {},
};
</script>
